<meta charset="utf-8">
<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../../conf/connection.php');
   //si an pulsado el boton de enviar
 
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  
	  $codigo=stripslashes($_POST["codigo"]);
	  $descrip=stripslashes($_POST["des"]); 
	  $familia=stripslashes($_POST["familia"]);
	  $stock=stripslashes($_POST["stock"]);
      $stock_minimo=stripslashes($_POST["stock_minimo"]);
	   $unidad=stripslashes($_POST["unidad"]);
	  
	  $fecha=stripslashes($_POST["fecha"]);
	  
	  //detalles compra
	  $identidad=stripslashes($_POST["identidad"]);
	  $nombre=stripslashes($_POST["nombre"]);
	  $neto_compra=stripslashes($_POST["neto_compra"]);
	  $iva_compra=stripslashes($_POST["iva_compra"]);
      $total_compra=stripslashes($_POST["total_compra"]);
      
	  //detalles venta sucursal n°1
	  $neto_venta=stripslashes($_POST["neto_venta_uno"]);
	  $iva_venta=stripslashes($_POST["iva_venta_uno"]);
      $total_venta=stripslashes($_POST["total_venta_uno"]);	  
	  
	  $descuento=stripslashes($_POST["descuento"]);
	  
	  $foto1=$_FILES["foto1"]["name"];
      $ruta1=$_FILES["foto1"]["tmp_name"];
      $destino1="img/".$foto1;
   
	  if($foto1==""){}else{copy($ruta1,$destino1);}
	  
	  $obs=stripslashes($_POST["obs"]);
	  
	   $tipo=7;
	   $obs="SALDO INICIAL";
	   $sucu=stripslashes($_POST["sucu"]);	  

if ($codigo=="" or $des="" or $familia=="" or $stock=="" or $fecha=="" or $total_compra=="" or $total_venta=="" or $descuento==""){ ?> <script>alert("Error: Existen campos vacíos...");window.history.back(); </script> <? }else{
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from articulos where referencia=\"$codigo\"";
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	    //Es decir si devolvio registros
		if($nr_ide>0)
		{
			//Mandamos un script java con notificacion
			?> <script>alert("Este código: <? echo "$codigo" ?> ya existe!");window.history.back(); </script><? 
		}
		//procedemos a guardar el registro
		else
		{
			
			
			$insertar="INSERT INTO cartola_historica (num_linea,fecha,tipo_doc,n_doc,glosa,entrada,salida,art) 
			VALUES ('','$fecha','$tipo','','$obs','$stock','','$codigo')";
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			
			
			//Construimos el query!
			$insertar="insert into articulos (codfamilia, referencia, descripcion, stock,
			stock_minimo, fecha_alta, neto_compra, iva_compra, precio_compra, neto_tienda, iva_tienda,
			precio_tienda, neto_tienda_dos, iva_tienda_dos, precio_tienda_dos , des,obs,identidad,nombre,foto1,codunidad) values (";
			$insertar.="\"$familia\", \"$codigo\", \"$descrip\", \"$stock\", \"$stock_minimo\", \"$fecha\",
			\"$neto_compra\", \"$iva_compra\",\"$total_compra\", \"$neto_venta\", \"$iva_venta\", \"$total_venta\", \"$neto_venta_dos\" ,\"$iva_venta_dos\", \"$total_venta_dos\",
			 \"$descuento\", \"$obs\", \"$identidad\", \"$nombre\", \"$destino1\",\"$unidad\")";
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			
			?> <script>alert("Registro almacenado con exito!"); window.close();</script> <? 
		}}
 
?>